Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022678
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 03. Procurement managementmajoralways2012-12-27 10:402018-04-13 11:56
ReportermiruritaView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf52f30e7dc2f
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022678: When voiding a purchase invoice & goods receipt it should be possible to specify the reversal document date and accounting date

DescriptionWhen voiding a purchase invoice & goods receipt it should be possible to specify the reversal document date and accounting date

* This new behavior should ONLY apply to Purchase invoice and goods receipt.

* Ability to specify new reversal document date and accounting date in the modal popup.

* Default values for both fields:
 + Purchase Invoice: both dates should be defaulted to current date.
 + Goods Receipt: both dates should be defaulted to the original document dates.

* Validations:
 + Both fields are mandatory.
 + Both fields should check if the entered date is in a valid format.
 + Both dates must be after the original document dates. You cannot void a document with a date prior to the original document.

* Generated reversal document should take the dates specified in the modal popup.
Steps To Reproduce1) Create a new purchase invoice
2) Click on Reactivate button and then select void action
3) Realize that you can enter void date and accounting date.
4) They should be defaulted to current date.
5) Check that you cannot leave fields empty and process.
6) Check that you cannot enter an invalid date format and process.
7) Check that you cannot enter a date prior to the original document date.

1) Create a new goods receipt
2) Click on Close button and then select void action
3) Realize that you can enter void date and accounting date.
4) They should be defaulted to original document dates.
5) Check that you cannot leave fields empty and process.
6) Check that you cannot enter an invalid date format and process.
7) Check that you cannot enter a date prior to the original document date.

Proposed SolutionSee attached screenshot
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2012-12-27 10:30:30.png [^] (75,070 bytes) 2012-12-27 10:40

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0023678 newTriage Finance It would be nice to be able to specify the reversal document date and accounting date, when voiding Sales Invoice and Shipment 

-  Notes
(0055252)
hgbot (developer)
2012-12-27 17:13

Repository: erp/devel/pi
Changeset: f52f30e7dc2f0bb74e2a36f0ea003d1b4661ce6b
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Thu Dec 27 10:41:54 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f52f30e7dc2f0bb74e2a36f0ea003d1b4661ce6b [^]

Fixes issue 22678: ability to specify reversal document date when voiding

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M src-db/database/model/functions/C_INVOICE_POST.xml
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_actionButton/DocAction.html
M src/org/openbravo/erpCommon/ad_actionButton/DocAction.xml
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateProcessGoodsJavaDocAction.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateProcessGoodsJavaDocActionData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateProcessGoodsJavaDocAction.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateProcessGoodsJavaDocAction_data.xsql
A src/org/openbravo/erpCommon/ad_actionButton/ProcessGoods.java
---
(0055253)
mirurita (developer)
2012-12-27 17:19

Documentation
http://wiki.openbravo.com/wiki/Goods_Receipt#Voiding [^]
http://wiki.openbravo.com/wiki/Purchase_Invoice#Voiding [^]
(0055254)
Sandrahuguet (developer)
2012-12-27 17:42

Code review + testing OK
(0055257)
hgbot (developer)
2012-12-28 00:36

Repository: erp/devel/pi
Changeset: 682da30867ea359ada484f357f90975fafea1fff
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Dec 28 00:36:03 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/682da30867ea359ada484f357f90975fafea1fff [^]

Related to issue 22678: get stacktrace in log4j.error

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M src/org/openbravo/erpCommon/ad_actionButton/ProcessGoods.java
---
(0055258)
hgbot (developer)
2012-12-28 00:39

Repository: erp/devel/pi
Changeset: 6f97fb634c2fb9ab2fda41a43efc86271babe029
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Dec 28 00:39:15 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6f97fb634c2fb9ab2fda41a43efc86271babe029 [^]

Related to issue 22678: update log message

---
M src/org/openbravo/erpCommon/ad_actionButton/ProcessGoods.java
---
(0055298)
hgbot (developer)
2013-01-02 09:37

Repository: tools/automation/int
Changeset: e1266f3e8706fdd8302d82f0daddbda18c488622
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Thu Dec 27 17:15:35 2012 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/e1266f3e8706fdd8302d82f0daddbda18c488622 [^]

Related to issue 22678: change goods receipt/shipment complete button name

---
M src-test/com/openbravo/test/integration/erp/gui/procurement/transactions/goodsreceipt/GoodsReceiptHeaderTab.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/goodsshipment/GoodsShipmentHeaderTab.java
---
(0055310)
hgbot (developer)
2013-01-02 19:13

Repository: erp/devel/pi
Changeset: 34495b8f06467173e387a4646a15a55bc3a65f08
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Wed Jan 02 19:13:40 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/34495b8f06467173e387a4646a15a55bc3a65f08 [^]

Related to issue 22678: update new docaction column in m_inout_post

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0055331)
hudsonbot (developer)
2013-01-03 13:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/792728467ed0 [^]

Maturity status: Test
(0055332)
hudsonbot (developer)
2013-01-03 13:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/792728467ed0 [^]

Maturity status: Test
(0055333)
hudsonbot (developer)
2013-01-03 13:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/792728467ed0 [^]

Maturity status: Test
(0055350)
hudsonbot (developer)
2013-01-04 09:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/eea37a82abc2 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-12-27 10:40 mirurita New Issue
2012-12-27 10:40 mirurita Assigned To => mirurita
2012-12-27 10:40 mirurita File Added: Screenshot from 2012-12-27 10:30:30.png
2012-12-27 10:40 mirurita Modules => Core
2012-12-27 10:40 mirurita Triggers an Emergency Pack => No
2012-12-27 10:47 mirurita Description Updated View Revisions
2012-12-27 17:13 hgbot Checkin
2012-12-27 17:13 hgbot Note Added: 0055252
2012-12-27 17:13 hgbot Status new => resolved
2012-12-27 17:13 hgbot Resolution open => fixed
2012-12-27 17:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f52f30e7dc2f0bb74e2a36f0ea003d1b4661ce6b [^]
2012-12-27 17:19 mirurita Note Added: 0055253
2012-12-27 17:42 Sandrahuguet Note Added: 0055254
2012-12-27 17:47 Sandrahuguet Review Assigned To => Sandrahuguet
2012-12-27 17:47 Sandrahuguet Status resolved => closed
2012-12-28 00:36 hgbot Checkin
2012-12-28 00:36 hgbot Note Added: 0055257
2012-12-28 00:39 hgbot Checkin
2012-12-28 00:39 hgbot Note Added: 0055258
2013-01-02 09:37 hgbot Checkin
2013-01-02 09:37 hgbot Note Added: 0055298
2013-01-02 19:13 hgbot Checkin
2013-01-02 19:13 hgbot Note Added: 0055310
2013-01-03 13:12 hudsonbot Checkin
2013-01-03 13:12 hudsonbot Note Added: 0055331
2013-01-03 13:12 hudsonbot Checkin
2013-01-03 13:12 hudsonbot Note Added: 0055332
2013-01-03 13:12 hudsonbot Checkin
2013-01-03 13:12 hudsonbot Note Added: 0055333
2013-01-04 09:53 hudsonbot Checkin
2013-01-04 09:53 hudsonbot Note Added: 0055350
2013-04-29 18:39 maite Relationship added related to 0023678
2018-04-13 11:56 ngarcia Relationship added related to 0016534
2018-04-13 11:56 ngarcia Relationship deleted related to 0016534


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker